local mpcd_path = LockOn_Options.script_path.."MPCD/indicator/"

dofile(mpcd_path.."MPCD_definitions.lua")
dofile(mpcd_path.."DMT/DMT_CCD_Video.lua")
dofile(mpcd_path.."STRS/STRS_WPN_LST.lua")

--Alignment Structure
-- local	mpcd_align			= create_mpcd_textured_box( 0, 0, 1024, 1024, nil, nil, 0)
--		mpcd_align.name		= "mpcd_align"
--		mpcd_align.init_pos	= {0, 0, 0}
-- Add_MPCD_Element(mpcd_align)

-- Menu Options
local	mpcd_mm_btn_01				= CreateElement "ceStringPoly"
		mpcd_mm_btn_01.name			= "mpcd_mm_btn_01"
		mpcd_mm_btn_01.material		= mpcd_tpod_font
		mpcd_mm_btn_01.init_pos		= mpcd_btn_01_pos
		mpcd_mm_btn_01.alignment	= "CenterCenter"
		mpcd_mm_btn_01.value		= "N\nI\nT\nE"
		mpcd_mm_btn_01.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_01)

local	mpcd_mm_btn_04				= CreateElement "ceStringPoly"
		mpcd_mm_btn_04.name			= "mpcd_mm_btn_04"
		mpcd_mm_btn_04.material		= mpcd_tpod_font
		mpcd_mm_btn_04.init_pos		= mpcd_btn_04_pos
		mpcd_mm_btn_04.alignment	= "CenterCenter"
		mpcd_mm_btn_04.formats		= {"%s"}
		mpcd_mm_btn_04.stringdefs	= MPCD_default_font_size
		mpcd_mm_btn_04.controllers	= {{"dmt_lsr_scan"}}
Add_MPCD_Element(mpcd_mm_btn_04)

local	mpcd_mm_btn_05				= CreateElement "ceStringPoly"
		mpcd_mm_btn_05.name			= "mpcd_mm_btn_05"
		mpcd_mm_btn_05.material		= mpcd_tpod_font
		mpcd_mm_btn_05.init_pos		= mpcd_btn_05_pos
		mpcd_mm_btn_05.alignment	= "CenterCenter"
		mpcd_mm_btn_05.value		= "C\nO\nD\nE"
		mpcd_mm_btn_05.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_05)

local	mpcd_mm_btn_15				= CreateElement "ceStringPoly"
		mpcd_mm_btn_15.name			= "mpcd_mm_btn_15"
		mpcd_mm_btn_15.material		= mpcd_tpod_font
		mpcd_mm_btn_15.init_pos		= mpcd_btn_15_pos
		mpcd_mm_btn_15.alignment	= "CenterCenter"
		mpcd_mm_btn_15.value		= "E\nC\nM"
		mpcd_mm_btn_15.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_15)

local	mpcd_mm_btn_16				= CreateElement "ceStringPoly"
		mpcd_mm_btn_16.name			= "mpcd_mm_btn_16"
		mpcd_mm_btn_16.material		= mpcd_tpod_font
		mpcd_mm_btn_16.init_pos		= mpcd_btn_16_pos
		mpcd_mm_btn_16.alignment	= "CenterCenter"
		mpcd_mm_btn_16.value		= "POS/INS"
		mpcd_mm_btn_16.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_16)

local	mpcd_mm_btn_18				= CreateElement "ceStringPoly"
		mpcd_mm_btn_18.name			= "mpcd_mm_btn_18"
		mpcd_mm_btn_18.material		= mpcd_tpod_font
		mpcd_mm_btn_18.init_pos		= mpcd_btn_18_pos
		mpcd_mm_btn_18.alignment	= "CenterCenter"
		mpcd_mm_btn_18.value		= "MENU"
		mpcd_mm_btn_18.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_18)

local	mpcd_mm_btn_20				= CreateElement "ceStringPoly"
		mpcd_mm_btn_20.name			= "mpcd_mm_btn_20"
		mpcd_mm_btn_20.material		= mpcd_tpod_font
		mpcd_mm_btn_20.init_pos		= mpcd_btn_20_pos
		mpcd_mm_btn_20.alignment	= "CenterCenter"
		mpcd_mm_btn_20.value		= "FLIR"
		mpcd_mm_btn_20.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_20)

-- SELECTED OPTIONS
local	dmt_video_nite_s				= create_mpcd_textured_box( 5, 4, 58, 153)
		dmt_video_nite_s.name			= "dmt_video_nite_s"
		dmt_video_nite_s.init_pos		= mpcd_btn_01_pos
		dmt_video_nite_s.controllers	 = {{"dmt_video_nite"}}
Add_MPCD_Element(dmt_video_nite_s)

local	dmt_laser_code_s				= create_mpcd_textured_box( 5, 4, 58, 153)
		dmt_laser_code_s.name			= "dmt_laser_code_s"
		dmt_laser_code_s.init_pos		= mpcd_btn_05_pos
		dmt_laser_code_s.controllers	 = {{"dmt_lsr_code"}}
Add_MPCD_Element(dmt_laser_code_s)

--  SYMBOLS
local	ac_vv_marker				= create_mpcd_textured_box( 352, 13, 426, 66, nil, nil, 61)
		ac_vv_marker.name			= "ac_vv_marker"
		ac_vv_marker.init_pos		= {0, 0.0225, 0}
		ac_vv_marker.controllers	= {{"dmt_with_video"}, {"dmt_not_locked"}}
Add_MPCD_Element(ac_vv_marker)

local	ac_horizon					= create_mpcd_textured_box( 7, 508, 337, 526, nil, nil, 61)
		ac_horizon.name				= "ac_horizon"
		ac_horizon.init_pos			= {0, -0.015, 0}
		ac_horizon.parent_element	= ac_vv_marker.name
		ac_horizon.controllers		= {{"ac_roll"}, {"dmt_ac_attitude", -0.07}}
Add_MPCD_Element(ac_horizon)


-- RETICLES
local	dmt_lss_sensor				= create_mpcd_textured_box( 180, 629, 238, 687)
		dmt_lss_sensor.name			= "dmt_lss_sensor"
		dmt_lss_sensor.init_pos		= {0, 0.0, 0}
		dmt_lss_sensor.controllers	= {{"dmt_without_video"}, {"lss_sensor_head"}}
Add_MPCD_Element(dmt_lss_sensor)

local	dmt_ret_u_vert				= create_mpcd_textured_box( 986, 4, 991, 946, nil, nil, 21)
		dmt_ret_u_vert.name			= "dmt_ret_u_vert"
		dmt_ret_u_vert.init_pos		= {0, 0.0, 0}
		dmt_ret_u_vert.controllers	= {{"dmt_with_video"}, {"dmt_not_locked"}}
Add_MPCD_Element(dmt_ret_u_vert)

local	dmt_ret_u_horz				= create_mpcd_textured_box( 3, 988, 946, 993, nil, nil, 21)
		dmt_ret_u_horz.name			= "dmt_ret_u_horz"
		dmt_ret_u_horz.init_pos		= {0, 0.0, 0}
		dmt_ret_u_horz.controllers	= {{"dmt_with_video"}, {"dmt_not_locked"}}
Add_MPCD_Element(dmt_ret_u_horz)

local	dmt_ret_l_vert				= create_mpcd_textured_box( 1000, 4, 1005, 946, nil, nil, 21)
		dmt_ret_l_vert.name			= "dmt_ret_l_vert"
		dmt_ret_l_vert.init_pos		= {0, 0.0, 0}
		dmt_ret_l_vert.controllers	= {{"dmt_with_video"}, {"dmt_is_locked"}}
Add_MPCD_Element(dmt_ret_l_vert)

local	dmt_ret_l_horz				= create_mpcd_textured_box( 3, 1003, 946, 1008, nil, nil, 21)
		dmt_ret_l_horz.name			= "dmt_ret_l_horz"
		dmt_ret_l_horz.init_pos		= {0, 0.0, 0}
		dmt_ret_l_horz.controllers	= {{"dmt_with_video"}, {"dmt_is_locked"}}
Add_MPCD_Element(dmt_ret_l_horz)

local	dmt_ret_l_gate				= create_mpcd_textured_box( 926, 3, 982, 58, nil, nil, 21)
		dmt_ret_l_gate.name			= "dmt_ret_l_gate"
		dmt_ret_l_gate.init_pos		= {0, 0.0, 0}
		dmt_ret_l_gate.controllers	= {{"dmt_with_video"}, {"dmt_is_locked"}}
Add_MPCD_Element(dmt_ret_l_gate)

-- DATA
local	ac_sensor				= CreateElement "ceStringPoly"
		ac_sensor.name			= "ac_sensor"
		ac_sensor.material		= mpcd_tpod_font
		ac_sensor.init_pos		= { -0.80,  0.80, 0}
		ac_sensor.alignment		= "LeftCenter"
		ac_sensor.formats		= {"%s"}
		ac_sensor.stringdefs	= MPCD_large_font_size
		ac_sensor.controllers	= {{"ac_sel_sensor"}}
Add_MPCD_Element(ac_sensor)

local	ac_heading				= CreateElement "ceStringPoly"
		ac_heading.name			= "ac_heading"
		ac_heading.material		= mpcd_tpod_font
		ac_heading.init_pos		= { -0.60,  -0.70, 0}
		ac_heading.alignment	= "RightCenter"
		ac_heading.formats		= {"%03d"}
		ac_heading.stringdefs	= MPCD_large_font_size
		ac_heading.controllers	= {{"ac_hdg_value"}}
Add_MPCD_Element(ac_heading)

local	ac_hdg_type				= CreateElement "ceStringPoly"
		ac_hdg_type.name		= "ac_hdg_type"
		ac_hdg_type.material	= mpcd_tpod_font
		ac_hdg_type.init_pos	= { -0.57,  -0.70, 0}
		ac_hdg_type.alignment	= "LeftCenter"
		ac_hdg_type.value		= "T"
		ac_hdg_type.stringdefs	= MPCD_large_font_size
		ac_hdg_type.controllers	= {{"ac_hdg_true"}}
Add_MPCD_Element(ac_hdg_type)

local	ac_heading				= CreateElement "ceStringPoly"
		ac_heading.name			= "ac_heading"
		ac_heading.material		= mpcd_tpod_font
		ac_heading.init_pos		= { 0.80,  -0.70, 0}
		ac_heading.alignment	= "RightCenter"
		ac_heading.formats		= {"%1.f%s"}
		ac_heading.stringdefs	= MPCD_large_font_size
		ac_heading.controllers	= {{"ac_alt_value"}}
Add_MPCD_Element(ac_heading)

